<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:java="http://xml.apache.org/xslt/java"
		extension-element-prefixes="java">

<xsl:include href="style.xsl"/>
<xsl:output method="html"/>
<!--
<xsl:output method="xml"/>
-->

<!--
<xsl:template match="page">
  <xsl:variable name="collName" select="pageRequest/paramList/param[@name='c']/@value"/>

  <html>
    <xsl:call-template name="greenstoneHead"/>

    <body xsl:use-attribute-sets="body-style">
      <xsl:apply-templates select="pageResponse">
        <xsl:with-param name="collName" select="$collName"/>
      </xsl:apply-templates>
      <xsl:call-template name="greenstoneFooter"/>
    </body>
  </html>
</xsl:template>
-->

<xsl:template match="pageResponse">
    <xsl:variable name="collName"><xsl:value-of select="ancestor::page/pageRequest/paramList/param[@name='c']/@value"/></xsl:variable>
    <center>
    <xsl:call-template name="collectionPageBanner">
      <xsl:with-param name="collName" select="$collName"/>
     <!-- <xsl:with-param name="collIcon" select="collection/metadataList/metadata[@name='colIcon']"/>
      <xsl:with-param name="httpPath" select="collection/metadataList/metadata[@name='httpPath']"/>-->
      </xsl:call-template>

    <!-- Display table of contents -->
    <p/>
    <table width="537" cellpadding="0" cellspacing="0">
      <tr>
        <xsl:apply-templates select="document">
          <xsl:with-param name="collName" select="$collName"/>
        </xsl:apply-templates>
      </tr>
    </table>

    <!-- Display document content -->
    <p/>
    <table width="537" cellpadding="0" cellspacing="0">
      <tr>
	<td align="left">
	  <xsl:value-of disable-output-escaping="yes" select="descendant::documentNode/nodeContent"/>
	</td>
      </tr>
    </table>
  </center>
    <xsl:call-template name="greenBar"/>
  </xsl:template>


<xsl:template match="document">
  <xsl:param name="collName"/>

  <!-- Display table of contents -->
  <td valign="top" align="left" width="200">
    <img src="cover.jpg"/> <!-- TO DO -->
  </td>
  <td valign="top">
    <xsl:apply-templates select="documentNode[@nodeID]">
      <xsl:with-param name="collName" select="$collName"/>
      <xsl:with-param name="depth" select="0"/>
    </xsl:apply-templates>
  </td>
</xsl:template>


<xsl:template match="documentNode">
  <xsl:param name="collName"/>
  <xsl:param name="depth"/>
  <xsl:variable name="library" select="ancestor::page/config/library_name"/>
  <xsl:variable name="space" select="$depth * 25"/>

  <table>
    <tr valign="top">
      <td>
	<xsl:if test="not($depth = '0')">
          <img src="interfaces/default/images/space.gif" width="{$space}"/>
	</xsl:if>
      </td>

      <!-- Display the appropriate image, depending on the node type -->
      <td valign="top">
	<a><xsl:attribute name="href"><xsl:value-of select='$library'/>?a=d&amp;c=<xsl:value-of select='$collName'/>&amp;d=<xsl:value-of select='@nodeID'/><xsl:if test="documentNode">.pr</xsl:if><xsl:if test="@nodeType='leaf'">&amp;sib=1</xsl:if></xsl:attribute>
	  <xsl:apply-templates select="." mode="displayNodeIcon"/>
	</a>
      </td>

      <!-- Display associated title, bolded if the node has content -->
      <td valign="top">
        <xsl:choose>
	  <xsl:when test="nodeContent">
	    <b><xsl:value-of select="metadataList/metadata[@name='Title']"/></b>
	  </xsl:when>
	  <xsl:otherwise>
	    <xsl:value-of select="metadataList/metadata[@name='Title']"/>
	  </xsl:otherwise>
	</xsl:choose>
      </td>
    </tr>
  </table>

  <!-- Apply recursively to the children of this node -->
  <xsl:apply-templates select="documentNode[@nodeID]">
    <xsl:with-param name="collName" select="$collName"/>
    <xsl:with-param name="depth" select="$depth + 1"/>
  </xsl:apply-templates>
</xsl:template>


</xsl:stylesheet>
