<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:include href="style.xsl"/>

<xsl:output method="html"/>  

  <xsl:template match="pageResponse">
    <xsl:call-template name="greenstonePageBanner"/> 
    <center>
      <xsl:apply-templates select="collectionList"/>
      <xsl:apply-templates select="serviceClusterList"/>
      <xsl:apply-templates select="serviceList"/>
    </center>
  </xsl:template>


<!-- the ancestor axis contains the parent of the context node, and its parent and so on. to pick one node among these: ancestor::elem-name. I dont know how this works if there are two nodes with the same name in the axis. -->
<xsl:template match="collectionList">
<xsl:for-each select="collection"> 
<p>
  <a>
    <xsl:attribute name='href'>
      <xsl:value-of select="ancestor::page/config/library_name"/>?a=p&amp;sa=about&amp;c=<xsl:value-of select='@name'/>
    </xsl:attribute>
    <img width="150" border="1">
      <xsl:attribute name="src">
        <xsl:value-of select="metadataList/metadata[@name='httpPath']"/>/images/<xsl:value-of select="metadataList/metadata[@name='colIcon']"/>
      </xsl:attribute>
      <xsl:attribute name="alt">
        <xsl:value-of select="metadataList/metadata[@name='colName']"/>
      </xsl:attribute>
    </img>
  </a>
</p>
</xsl:for-each>
<xsl:call-template name="greenBar"/>
</xsl:template> 

<xsl:template match="serviceClusterList">
<xsl:for-each select="serviceCluster"> 
<p/><a><xsl:attribute name='href'><xsl:value-of select="ancestor::page/config/library_name"/>?a=p&amp;sa=about&amp;c=<xsl:value-of select='@name'/></xsl:attribute><xsl:value-of select='@name'/></a>
</xsl:for-each>
<xsl:call-template name="greenBar"/>
</xsl:template>

</xsl:stylesheet>  


