package query


#######################################################################
# Macros whose values are set from within the server at runtime. These 
# are here only for reference and to set default values if required.           
#######################################################################

_quotedquery_ {}
_freqmsg_ {}
_resultline_ {}
_thisfirst_ {}
_thislast_ {}
_nextfirst_ {}
_nextlast_ {}
_prevfirst_ {}
_prevlast_ {}
_searchhistorylist_ {}
#_histvalue0_ to _histvalue19_
_advformlist_ {}
_regformlist_ {}
_fqfselection_ {}


#######################################################################
# icons
#######################################################################

_iconthispage_ {<img src="_httpiconhsearch_" alt="_texticonthispage_" width="_widthhsearch_" height="_heighthsearch_">}

_iconqueryresultsbar_ {<img src="_httpiconqryresb_" width="_widthqryresb_" height="_heightqryresb_" alt="_texticonqueryresultsbar_">}

# _iconnext_ and _iconprev_ are overridden in this package as we
# don't want alt text here
_iconnext_{<img src="_httpiconmore_" width=_widthmore_ height=_heightmore_ border=0 align=top>}
_iconprev_{<img src="_httpiconless_" width=_widthless_ height=_heightless_ border=0 align=top>}

#######################################################################
# images
#######################################################################

_imagethispage_ {_iconthispage_}

#######################################################################
# page content
#######################################################################

_pagescriptextra_ {
var options = new Array(7);
options[0] = new Array('Any');
options[1] = new Array('Any', 'Absorption', 'Distribution', 'Metabolism', 'Elimination',
                       'Effect of Food', 'Drug Interactions', 'Special Populations');
options[2] = new Array('Any', 'Trace Metal', 'Excretion', 'Selectivity', 'Copper', 'Zinc',
                       'Manganese', 'Iron', 'Distribution', 'Brain', 'Heart', 'Plasma', 
                       'Plasma', 'Fetal', 'Liver', 'Kidney');
options[3] = new Array('Any', 'Acute Toxicity', 'Repeated Dose Toxicity', 'Studies in Rodents', 
                       'Studies in Dogs', 'Overdosage', 'Reproductive Toxicity',
                       'Teratogenicity', 'Mutagenecity', 'Carcinogenicity');
options[4] = new Array('Any', 'Superoxide Dismutase', 'Ferroxidase I', 'Ferroxidase II',
                       'Metallothienein', 'Ceruloplasmin');
options[5] = new Array('Any', 'Heart', 'Complications', 'Microvascular', 'Renal', 'Diabetes');
options[6] = new Array('Any');
options[7] = new Array('Any');

function initialize () \{

  var form = document.QueryForm;
  var c2 = form.c2.selectedIndex;
  var i;

  form.c3.options.length = 0;

  var isselected = 0;
  for (i = 0; i < options[c2].length; i++) \{
    form.c3.options[i] = new Option(options[c2][i], options[c2][i]);
    if (options[c2][i] == "_cgiargc3_") \{
      form.c3.selectedIndex = i;
      isselected = 1;
    \}
  \}
  if (!isselected) form.c3.selectedIndex = 0;
\}
}

_content_ {
<center>
_queryform_
</center>
<center>_iconblankbar_</center><br>
_resultline_
}

_queryform_ {
<form name=QueryForm method=get action="_gwcgi_">
<input type=hidden name="a" value="q">
<input type=hidden name="r" value="1">
<input type=hidden name="g" value="Section">
<input type=hidden name="e" value="_decodedcompressedoptions_">
<p>
<table border="0">

<tr valign="center">
<td align="right"><b>Type</b></td>
<td><select name="c1">
<option value="" _If_(_cgiargc1_,, selected)>Any
<option value="Animal" _If_("_cgiargc1_" eq "Animal", selected)>Animal
<option value="Human" _If_("_cgiargc1_" eq "Human", selected)>Human
<option value="Other" _If_("_cgiargc1_" eq "Other", selected)>Other
</select>
</td>
</tr>

<tr valign="center">
<td align="right"><b>Category</b></td>
<td>
<select name="c2" onChange='initialize()'>
<option value="" _If_(_cgiargc2_,, selected)>Any
<option value="Pharmacokinetics" _If_("_cgiargc2_" eq "Pharmacokinetics", selected)>Pharmacokinetics
<option value="Pharmacodynamics" _If_("_cgiargc2_" eq "Pharmacodynamics", selected)>Pharmacodynamics
<option value="SafetySideEffectsToxicity" _If_("_cgiargc2_" eq "Safety/Side Effects/Toxicity", selected)>Safety/Side Effects/Toxicity
<option value="Other" _If_("_cgiargc2_" eq "Other", selected)>Other
<option value="Efficacy" _If_("_cgiargc2_" eq "Efficacy", selected)>Efficacy
<option value="Contraindications" _If_("_cgiargc2_" eq "Contraindications", selected)>Contraindications
<option value="Precautions" _If_("_cgiargc2_" eq "Precautions", selected)>Precautions
</select>
</td>
</tr>

<tr valign="center">
<td align="right"><b>Sub-Category</b></td>
<td>
<select name="c3">
<option value="">Any
</select>
</td>
</tr>

<tr valign="center">
<td align="right"><b>Search Terms</b></td>
<td>
<nobr>
<input type="text" name="q" value="_cgiargq_" size="40">
<input type="submit" value="_textbeginsearch_">
</nobr>
</td></tr>

</table>
</form>
}

# we want to put the links to previous/next pages of results
# in the footer
_pagefooterextra_ {
<center>
<table cellspacing=0 cellpadding=0 width="638">
<tr>
<td align=left>_If_(_prevfirst_,<a href="_httpquery_&r=_prevfirst_">&lt; _textmatches__prevfirst_ - _prevlast_</a>)</td>
<td align=right>_If_(_nextfirst_,<a href="_httpquery_&r=_nextfirst_">_textmatches__nextfirst_ - _nextlast_ &gt;</a>)</td>
</tr></table>
</center>
}
